=== modified file 'lib/canonical/launchpad/doc/project-scope-widget.txt'
--- lib/canonical/launchpad/doc/project-scope-widget.txt	2010-02-17 14:42:16 +0000
+++ lib/canonical/launchpad/doc/project-scope-widget.txt	2010-04-19 14:47:49 +0000
@@ -14,7 +14,7 @@
 
     >>> empty_request = LaunchpadTestRequest()
     >>> scope_field = Choice(
-    ...     __name__='scope', vocabulary='Project', required=False)
+    ...     __name__='scope', vocabulary='ProjectGroup', required=False)
     >>> scope_field = scope_field.bind(object())
     >>> widget = ProjectScopeWidget(
     ...     scope_field, scope_field.vocabulary, empty_request)

=== modified file 'lib/canonical/launchpad/doc/vocabulary-json.txt'
--- lib/canonical/launchpad/doc/vocabulary-json.txt	2010-01-12 21:53:44 +0000
+++ lib/canonical/launchpad/doc/vocabulary-json.txt	2010-04-19 14:47:49 +0000
@@ -106,7 +106,7 @@
 
 Long descriptions will be truncated.
 
-    >>> form = dict(name='Project', search_text='apache')
+    >>> form = dict(name='ProjectGroup', search_text='apache')
     >>> view = create_vocabulary_view(form)
     >>> print_json(view())
     {

=== modified file 'lib/canonical/launchpad/interfaces/launchpad.py'
--- lib/canonical/launchpad/interfaces/launchpad.py	2010-03-16 23:59:41 +0000
+++ lib/canonical/launchpad/interfaces/launchpad.py	2010-04-19 14:47:49 +0000
@@ -534,7 +534,7 @@
     search_text = TextLine(title=_('Search text'), required=False)
 
     scope = Choice(title=_('Search scope'), required=False,
-                   vocabulary='DistributionOrProductOrProject')
+                   vocabulary='DistributionOrProductOrProjectGroup')
 
 
 class ILaunchpadSearch(Interface):

=== modified file 'lib/canonical/launchpad/interfaces/oauth.py'
--- lib/canonical/launchpad/interfaces/oauth.py	2010-03-19 20:02:25 +0000
+++ lib/canonical/launchpad/interfaces/oauth.py	2010-04-19 14:47:49 +0000
@@ -135,7 +135,8 @@
         description=_('The secret associated with this token.  It is used '
                       'by the consumer to sign its requests.'))
     product = Choice(title=_('Project'), required=False, vocabulary='Product')
-    project = Choice(title=_('Project'), required=False, vocabulary='Project')
+    project = Choice(
+        title=_('Project'), required=False, vocabulary='ProjectGroup')
     sourcepackagename = Choice(
         title=_("Package"), required=False, vocabulary='SourcePackageName')
     distribution = Choice(

=== modified file 'lib/lp/answers/interfaces/questiontarget.py'
--- lib/lp/answers/interfaces/questiontarget.py	2009-08-13 15:22:00 +0000
+++ lib/lp/answers/interfaces/questiontarget.py	2010-04-19 14:47:49 +0000
@@ -161,4 +161,4 @@
     """Schema for the Answers front page search form."""
 
     scope = Choice(title=_('Search scope'), required=False,
-                   vocabulary='DistributionOrProductOrProject')
+                   vocabulary='DistributionOrProductOrProjectGroup')

=== modified file 'lib/lp/app/browser/root.py'
--- lib/lp/app/browser/root.py	2010-01-13 14:22:26 +0000
+++ lib/lp/app/browser/root.py	2010-04-19 14:47:49 +0000
@@ -389,7 +389,7 @@
             name_token = self._getNameToken(self.text)
             if name_token is not None:
                 self._person_or_team = self._getPersonOrTeam(name_token)
-                self._pillar = self._getDistributionOrProductOrProject(
+                self._pillar = self._getDistributionOrProductOrProjectGroup(
                     name_token)
 
         self._pages = self.searchPages(self.text, start=self.start)
@@ -421,11 +421,11 @@
             return person_or_team
         return None
 
-    def _getDistributionOrProductOrProject(self, name):
+    def _getDistributionOrProductOrProjectGroup(self, name):
         """Return the matching distribution, product or project, or None."""
         vocabulary_registry = getVocabularyRegistry()
         vocab = vocabulary_registry.get(
-            None, 'DistributionOrProductOrProject')
+            None, 'DistributionOrProductOrProjectGroup')
         try:
             return vocab.getTermByToken(name).value
         except LookupError:

=== modified file 'lib/lp/bugs/interfaces/bugtask.py'
--- lib/lp/bugs/interfaces/bugtask.py	2010-04-15 13:26:33 +0000
+++ lib/lp/bugs/interfaces/bugtask.py	2010-04-19 14:47:49 +0000
@@ -889,7 +889,7 @@
     """Additional search options for the front page of bugs."""
     scope = Choice(
         title=u"Search Scope", required=False,
-        vocabulary="DistributionOrProductOrProject")
+        vocabulary="DistributionOrProductOrProjectGroup")
 
 
 class IBugTaskDelta(Interface):

=== modified file 'lib/lp/bugs/model/bugtracker.py'
--- lib/lp/bugs/model/bugtracker.py	2010-04-16 15:06:55 +0000
+++ lib/lp/bugs/model/bugtracker.py	2010-04-19 14:47:49 +0000
@@ -169,7 +169,7 @@
     contactdetails = StringCol(notNull=False)
     has_lp_plugin = BoolCol(notNull=False, default=False)
     projects = SQLMultipleJoin(
-        'Project', joinColumn='bugtracker', orderBy='name')
+        'ProjectGroup', joinColumn='bugtracker', orderBy='name')
     products = SQLMultipleJoin(
         'Product', joinColumn='bugtracker', orderBy='name')
     watches = SQLMultipleJoin(

=== modified file 'lib/lp/registry/browser/announcement.py'
--- lib/lp/registry/browser/announcement.py	2009-10-12 18:59:54 +0000
+++ lib/lp/registry/browser/announcement.py	2010-04-19 14:47:49 +0000
@@ -182,7 +182,7 @@
     target = Choice(
         title=_("For"),
         description=_("The project where this announcement is being made."),
-        required=True, vocabulary='DistributionOrProductOrProject')
+        required=True, vocabulary='DistributionOrProductOrProjectGroup')
 
 
 class AnnouncementRetargetView(AnnouncementFormMixin, LaunchpadFormView):

=== modified file 'lib/lp/registry/browser/featuredproject.py'
--- lib/lp/registry/browser/featuredproject.py	2009-09-18 18:53:46 +0000
+++ lib/lp/registry/browser/featuredproject.py	2010-04-19 14:47:49 +0000
@@ -28,7 +28,7 @@
         title=_("Add project"),
         description=_(
             "Choose a project to feature on the Launchpad home page."),
-        required=False, vocabulary='DistributionOrProductOrProject')
+        required=False, vocabulary='DistributionOrProductOrProjectGroup')
 
     remove = Set(
         title=u'Remove projects',

=== modified file 'lib/lp/registry/doc/vocabularies.txt'
--- lib/lp/registry/doc/vocabularies.txt	2010-04-19 08:11:52 +0000
+++ lib/lp/registry/doc/vocabularies.txt	2010-04-19 14:47:49 +0000
@@ -1258,7 +1258,7 @@
 All products, project groups and distributions. Note that the value type is
 heterogeneous.
 
-    >>> vocab = get_naked_vocab(None, "DistributionOrProductOrProject")
+    >>> vocab = get_naked_vocab(None, "DistributionOrProductOrProjectGroup")
     >>> for term in vocab:
     ...     if 'Ubuntu' in term.title:
     ...         print term.title, '- class', term.value.__class__.__name__
@@ -1298,7 +1298,7 @@
     >>> apache in vocab
     False
 
-    >>> vocab = get_naked_vocab(None, "DistributionOrProductOrProject")
+    >>> vocab = get_naked_vocab(None, "DistributionOrProductOrProjectGroup")
     >>> for term in vocab:
     ...     if 'Apache' in term.title:
     ...         print term.title, '- class', term.value.__class__.__name__
@@ -1308,7 +1308,7 @@
     >>> product_set.getByName('tomcat').active = True
     >>> getUtility(IProjectGroupSet).getByName('apache').active = True
     >>> flush_database_updates()
-    >>> vocab = get_naked_vocab(None, "DistributionOrProductOrProject")
+    >>> vocab = get_naked_vocab(None, "DistributionOrProductOrProjectGroup")
     >>> for term in vocab:
     ...     if 'Apache' in term.title:
     ...         print term.title, '- class', term.value.__class__.__name__

